QuickHashStringIntHash
QuickHashStringIntHash::__construct
QuickHashStringIntHash
PHP Manual

# QuickHashStringIntHash::add

(Não há informação de versão disponível, talvez apenas no SVN)

QuickHashStringIntHash::add — This method adds a new entry to the hash

### Descrição

public bool QuickHashStringIntHash::add ( string `$key` , int `$value` )

This method adds a new entry to the hash, and returns whether the entry was added. Entries are by default always added unless QuickHashStringIntHash::CHECK_FOR_DUPES has been passed when the hash was created.

### Parâmetros

`key`

  The key of the entry to add.

`value`

  The value of the entry to add.

### Valor Retornado

`TRUE` when the entry was added, and `FALSE` if the entry was not added.

### Exemplos

Exemplo #1 QuickHashStringIntHash::add() example

`<?php
echo "without dupe checking\n";
$hash = new QuickHashStringIntHash( 1024 );
var_dump( $hash );
var_dump( $hash->exists( "four" ) );
var_dump( $hash->get( "four" ) );
var_dump( $hash->add( "four", 22 ) );
var_dump( $hash->exists( "four" ) );
var_dump( $hash->get( "four" ) );
var_dump( $hash->add( "four", 12 ) );
echo "\nwith dupe checking\n";
$hash = new QuickHashStringIntHash( 1024, QuickHashStringIntHash::CHECK_FOR_DUPES );
var_dump( $hash );
var_dump( $hash->exists( "four" ) );
var_dump( $hash->get( "four" ) );
var_dump( $hash->add( "four", 78 ) );
var_dump( $hash->exists( "four" ) );
var_dump( $hash->get( "four" ) );
var_dump( $hash->add( "four", 9 ) );
?>`

O exemplo acima irá imprimir algo similar à:

    without dupe checking
    object(QuickHashStringIntHash)#1 (0) {
    }
    bool(false)
    bool(false)
    bool(true)
    bool(true)
    int(22)
    bool(true)

    with dupe checking
    object(QuickHashStringIntHash)#2 (0) {
    }
    bool(false)
    bool(false)
    bool(true)
    bool(true)
    int(78)
    bool(false)

QuickHashStringIntHash
QuickHashStringIntHash::__construct
QuickHashStringIntHash
PHP Manual